Package org.apache.sling.query.impl.util

## Class IteratorUtils

- java.lang.Object
- - org.apache.sling.query.impl.util.IteratorUtils

    public final class IteratorUtils
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> Iterator<T>` `arrayIterator​(T... elements)`
`static <T> Iterator<T>` `emptyIterator()`
`static <T> Iterator<T>` `singleElementIterator​(T element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### arrayIterator

    public static <T> Iterator<T> arrayIterator​(T... elements)

#### singleElementIterator

    public static <T> Iterator<T> singleElementIterator​(T element)

#### emptyIterator

    public static <T> Iterator<T> emptyIterator()